| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Create a new connector in your Layar instance.
Twitter Connectors OnlyThe ConnectorApi class only pertains to Twitter connectors, whereas the LiveSourceApi class covers all other available Layar connectors.
Python SDK
Endpoint Method
Authentication
Before running your API calls, remember to authenticate!
Import Dependencies
Make sure at the top of your script you've got the relevant dependencies:
# import dependencies
import layar_api
from layar_api.rest import ApiException
from pprint import pprintInstantiate API & Build Request Body
When creating a new Connector, you can send a request body filled in with any of the Connector object properties.
For Twitter connectors, there are two required parameters: the connector_type and the keyword_filters. However, we recommend at least providing the connector with a name, so that you can retrieve it using other methods in the future. The following endpoints are autogenerated by Layar after your request has been made: created_by_user, date_indexed, and id. These cannot be changed by a user.
# Instantiate API endpoint
api_instance = layar_api.ConnectorApi(layar_api.ApiClient(configuration))
# Provide Parameters for Request BodyRun API Call
401Unauthorized
403Forbidden
404Not Found
